Pages : 1
#1 Le 27/07/2006, à 00:57
- jacquelineZ
Imprimante et drivers Samsung
Avant d'acheter j'ai lu sous linux printing (forum Samsung(, que la ML2510 marchait sous linux ( gentoo), avec le driver proprio de Samsung qui se trouve sur leur CD.
Je découvre la KUbuntu et ses spécificités et je voudrais bien faire marcher cette imprimante au plus vite...
Il y a bien un autorun dont le contenu est le suivant :
#!/bin/sh
BASE=`dirname $0`
exec sh $BASE/setup.sh
Lorsque je mets le CD, on me demande si je veux bien lancer cet autorun , mais il ne se passe rien.
J'ai essayé la méthode d'install lue sur ce forum de Linux printing, qui consiste à lancer directement le script :
setup.sh dont le contenu est le suivant :
#! /bin/sh
#
# Product setup script
#
# Go to the proper setup directory (if not already there)
cd `dirname $0`# defaults
FATAL_ERROR="Fatal error, no tech support email configured in this setup"
# try to get root prior to running setup?
# 0: no
# 1: prompt, but run anyway if fails
# 2: require, abort if root fails
GET_ROOT=0
XSU_ICON=""
# You may want to set USE_XHOST to 1 if you want an X11 application to
# be launched with root privileges right after installation
USE_XHOST=0
# this is the message for su call, printf
SU_MESSAGE="You need to run this installation as the super user.\nPlease enter the root password."NULL=/dev/null
# See if we have the XPG4 utilities (Solaris)
if test -d /usr/xpg4/bin; then
PATH=/usr/xpg4/bin:$PATH
fi# Return the appropriate architecture string
DetectARCH()
{
status=1
case `uname -m` in
i?86)
echo "x86"
status=0;;
90*/*)
echo "hppa"
status=0;;
*)
case `uname -s` in
IRIX*)
echo "mips"
status=0;;
*)
arch=`uname -m || uname -p 2> /dev/null`
if test "$arch" = powerpc; then
echo "ppc"
else
echo $arch
fi
status=0;;
esac
esac
return $status
}# Return the appropriate version string
DetectLIBC()
{
status=1
if [ `uname -s` != Linux ]; then
echo "glibc-2.1"
return $status
fi
if [ -f `echo /lib/libc.so.6* | tail -1` ]; then
if fgrep GLIBC_2.1 /lib/libc.so.6* 2> $NULL >> $NULL; then
echo "glibc-2.1"
status=0
else
echo "glibc-2.0"
status=0
fi
elif [ -f /lib/libc.so.5 ]; then
echo "libc5"
status=0
else
echo "unknown"
fi
return $status
}DetectOS()
{
os=`uname -s`
if test "$os" = "OpenUNIX"; then
echo SCO_SV
else
echo $os
fi
return 0
}# Detect the environment
arch=`DetectARCH`
libc=`DetectLIBC`
os=`DetectOS`# Import preferences from a secondary script
if [ -f setup.data/config.sh ]; then
. setup.data/config.sh
elif [ -f SETUP.DAT/CONFIG.SH\;1 ]; then
# HP-UX and other systems unable to get LFN correctly
. SETUP.DAT/CONFIG.SH\;1
fi# Add some standard paths for compatibility
PATH=$PATH:/usr/ucb# call setup with -auth when ran through su/xsu
auth=0
if [ "$1" = "-auth" ]
then
auth=1
shift
fiif [ "$auth" -eq 1 ]
then
# if root is absolutely required
# this happens if xsu/su execs setup.sh but it still doesn't have root rights
if [ "$GET_ROOT" -eq 2 ]
then
# NOTE TTimo: this causes the following error message in some cases:
# return: can only `return' from a function or sourced script
# BUT: in other cases, the return is legit, if you replace by an exit call, it's broken
return 1
fi
fi# Feel free to add some additional command-line arguments for setup here.
args=""# Find the installation program
# try_run [-absolute] [-fatal] INSTALLER_NAME [PARAMETERS_PASSED]
# -absolute option: if what you are trying to execute has an absolute path
# NOTE: maybe try_run_absolute would be easier
# -fatal option: if you want verbose messages in case
# - the script could not be found
# - it's execution would fail
# INSTALLER_NAME: setup.gtk or setup
# PARAMETERS_PASSED: additional arguments passed to the setup script
try_run()
{
absolute=0
if [ "$1" = "-absolute" ]; then
absolute=1
shift
fifatal=0
# older bash < 2.* don't like == operator, using =
if [ "$1" = "-fatal" ]; then
# got fatal
fatal=1
shift
fisetup=$1
shift
# First find the binary we want to run
failed=0
if [ "$absolute" -eq 0 ]
then
setup_bin="setup.data/bin/$os/$arch/$libc/$setup"
# trying $setup_bin
if [ ! -f "$setup_bin" ]; then
setup_bin="setup.data/bin/$os/$arch/$setup"
# libc dependant version failed, trying again
if [ ! -f "$setup_bin" ]; then
failed=1
fi
fi
if [ "$failed" -eq 1 ]; then
if [ "$fatal" -eq 1 ]; then
cat <<__EOF__
This installation doesn't support $libc on $os / $arch
(tried to run $setup)
$FATAL_ERROR
__EOF__
fi
return $failed
fi# Try to run the binary ($setup_bin)
# The executable is here but we can't execute it from CD
# NOTE TTimo: this is dangerous, we also use $setup to store the name of the try_run
setup="$HOME/.setup$$"
rm -f "$setup"
cp "$setup_bin" "$setup"
chmod 700 "$setup"
fi
# echo Running "$setup" "$@"
if [ "$fatal" -eq 0 ]; then
"$setup" "$@"
failed="$?"
else
"$setup" "$@" 2>> $NULL
failed="$?"
fi
if [ "$absolute" -eq 0 ]
then
# don't attempt removal when we are passed an absolute path
# no, I don't want to imagine a faulty try_run as root on /bin/su
rm -f "$setup"
fi
return "$failed"
}# if we have not been through the auth yet, and if we need to get root, then prompt
if [ "$auth" -eq 0 ] && [ "$GET_ROOT" -ne 0 ]
then
GOT_ROOT=`id -u`
if [ "$GOT_ROOT" != "0" ]
then
if [ "$USE_XHOST" -eq 1 ]; then
xhost +127.0.0.1 2> $NULL > $NULL
fi
try_run xsu -e -a -u root -c "sh `pwd`/setup.sh -auth" $XSU_ICON
status="$?"
# echo "got $status"
# if try_run successfully executed xsu, it will return xsu's exit code
# xsu returns 2 if ran and cancelled (i.e. the user 'doesn't want' to auth)
# it will return 0 if the command was executed correctly
# summing up, if we get 1, something failed
if [ "$status" -eq 0 ]
then
# the auth command was properly executed
exit 0
elif [ "$status" -eq 1 ]
then
# xsu wasn't found, or failed to run
# if xsu actually ran and the auth was cancelled, $status is 2
# try with su
printf "$SU_MESSAGE\n"
try_run -absolute /bin/su root -c "export DISPLAY=$DISPLAY;sh `pwd`/setup.sh -auth"
status="$?"
elif [ "$status" -eq 3 ]
then
# the auth failed or was canceled
# we don't want to even start the setup if not root
echo "Please run this installation as the super user"
exit 1
fi
# continue running as is
fi
fi# Try to run the setup program
try_run setup.gtk $args $*
status=$?
if [ $status -eq 2 ]; then # setup.gtk couldn't connect to X11 server - ignore
try_run -fatal setup $args $* || {
# NOTE TTimo: with -fatal working correctly, this never happens
echo "The setup program seems to have failed on $arch/$libc"
echo
echo $FATAL_ERROR
status=1
}
fi
exit $status
Normalement il faut le lancer en root !
Avec la console, en me plaçant dans le bon rep en "su", je le vois bien , mais impossible de le lancer.
jacqueline@jacqueline-desktop:~$ su jacqueline
Password:
jacqueline@jacqueline-desktop:~$ cd /media/cdrom
jacqueline@jacqueline-desktop:/media/cdrom$ ls
autorun cups help locale misc README.txt setup.data
bin data icon.xpm Manual ppd scripts setup.sh
jacqueline@jacqueline-desktop:/media/cdrom$ setup.sh
bash: setup.sh : commande introuvable
jacqueline@jacqueline-desktop:/media/cdrom$ run setup.sh
bash: run : commande introuvable
jacqueline@jacqueline-desktop:/media/cdrom$ run /media/cdrom/setup.sh
bash: run : commande introuvable
jacqueline@jacqueline-desktop:/media/cdrom$ /media/cdrom/setup.sh
bash: /media/cdrom/setup.sh : /bin/sh : mauvais interpréteur: Permission non accordée
jacqueline@jacqueline-desktop:/media/cdrom$
Je suppose que c'est un détail, sur lequel je butte par ma méconnaissance d'Ubuntu (installée depuis une heure ) si vous pouviez m'aider, ce serait super sympa, et je pourrais imprimer la doc d'Ubuntu et valider une imprimante laser pas chère et compatible avec Ubuntu.
#2 Le 27/07/2006, à 01:13
- Homer
Re : Imprimante et drivers Samsung
Avec ma ML-2010, j'ai installé le driver fourni par Ubuntu pour le model ML-4500 et ça marche bien. Tu peux peut-être essayer ça.
Hors ligne
#3 Le 27/07/2006, à 01:19
- wra
Re : Imprimante et drivers Samsung
Salut,
vous pouvez essayer de lancer la commande avec sudo qui donne les droits root (voir sudo dans le wiki)
sudo /media/cdrom/setup.sh
Hors ligne
#4 Le 27/07/2006, à 02:17
- jacquelineZ
Re : Imprimante et drivers Samsung
jacqueline@jacqueline-desktop:/media/cdrom$ sudo /media/cdrom/setup.sh
sudo: unable to execute /media/cdrom/setup.sh: Permission denied
jacqueline@jacqueline-desktop:/media/cdrom$
#5 Le 27/07/2006, à 02:21
- jacquelineZ
Re : Imprimante et drivers Samsung
oups ! c'est parti pus vite que prévu..
Merci de vos réponses, j'essayerais d'e l'installer comme une ML4500. Je suppose qu'ubuntu fournit des drivers universels
jacqueline
PS : on se couche tard avec ces problèmes...
#6 Le 27/07/2006, à 02:52
- jacquelineZ
Re : Imprimante et drivers Samsung
Super !!! Ca marche nickel en ML4500 ..... avec cups en plus, et install super cool ! Merci Homer
Bonne nuit !
Demain j'irais mettre l'info sur linuxprinting pour Ubuntu.
Pages : 1